PDBMSDReader (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.io.PDBMSDReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class PDBMSDReader

    java.lang.Object
      org.biojava.bio.structure.io.PDBMSDReader

All Implemented Interfaces:
  StructureIO

    public class PDBMSDReader

extends Object
implements StructureIO

retreive a structure from an installation of the MSD - search database ( http://www.ebi.ac.uk/msd/index.html , http://www.ebi.ac.uk/msd-srv/docs/dbdoc/ )

Field Summary
`protected DataSource` | `dataSource`

Constructor Summary
`PDBMSDReader()`

Method Summary
`Structure` | `getStructureById(String pdbId)` Get a structure by providing a PDB code.
`void` | `setDBConnection(String dbDriver, String dbUrl, String dbUsername, String dbPassword)` open a database conenction to the MSD search database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataSource

    protected DataSource dataSource

Constructor Detail

### PDBMSDReader

    public PDBMSDReader()

Method Detail

### setDBConnection

    public void setDBConnection(String dbDriver,
                                String dbUrl,
                                String dbUsername,
                                String dbPassword)
                         throws SQLException

  open a database conenction to the MSD search database

  Parameters:
    `dbDriver` - specified which JDBC driver to use e.g.
    `dbUrl` - connection string
    `dbUsername` - the username in the db
    `dbPassword` - password to use
  Throws:
    `SQLException`

### getStructureById

    public Structure getStructureById(String pdbId)
                               throws IOException

  Get a structure by providing a PDB code. expects connections parameters to be set a system properties.

  Specified by:
    `getStructureById` in interface `StructureIO`
  Parameters:
    `pdbId` - a String specifying the id value (PDB code)
  Returns:
    a Structure object, or null if no structure with matching PDB code has been found
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD